# Get a list of finding data flows

Get a list of data flows of a finding in a scan.

Endpoint: GET /api/v2/scans/{scanId}/findings/{findingId}/data-flows
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan for which to get data flows

  - `findingId` (string, required)
    ID of the finding for which to get data flows

## Response 200 fields (application/json):

  - `ageRating` (number)
    Between 0 and 10

  - `confidenceRating` (number)
    Between 0 and 10

  - `createdTime` (string)

  - `filter` (object)

  - `filter.filterTypes` (array)

  - `filter.filterTypes.code` (integer)

  - `filter.filterTypes.name` (string)

  - `filter.isFiltered` (boolean)

  - `functionCalls` (array)

  - `functionCalls.endLine` (integer)

  - `functionCalls.file` (string)

  - `functionCalls.kind` (string)

  - `functionCalls.line` (integer)

  - `functionCalls.name` (string)

  - `functionCalls.snippet` (string)

  - `functionCalls.startLine` (integer)

  - `id` (string)

  - `inputFlow` (array)

  - `inputFlow.endLine` (integer)

  - `inputFlow.file` (string)

  - `inputFlow.kind` (string)

  - `inputFlow.line` (integer)

  - `inputFlow.name` (string)

  - `inputFlow.snippet` (string)

  - `inputFlow.startLine` (integer)

  - `inputKind` (string)

  - `inputSource` (string)

  - `isNew` (boolean)

  - `rating` (number)
    Between 0 and 10

  - `sink` (string)

  - `sinkFile` (string)

  - `sinkKind` (string)

  - `sinkLine` (integer)

  - `sinkSnippet` (string)

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 403 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


